%global pypi_name vine

%bcond_without tests

# docs depend on package sphinx_celery
# https://github.com/celery/sphinx_celery
%bcond_with docs
 
Summary:        Promises, promises, promises
Name:           python-%{pypi_name}
Version:        5.1.0
Release:        2%{?dist}
License:        BSD
URL:            http://github.com/celery/vine
Source0:        https://files.pythonhosted.org/packages/source/v/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch
 

%description
This package provides a special implementation of promises in that it can be used both for 
promise of a value and lazy evaluation.
 
%package -n     python3-%{pypi_name}
Summary:        Promises, promises, promises
 
BuildRequires:  python3-devel python3-setuptools
%if %{with tests}
BuildRequires:  python3-pytest python3-pytest-cov
BuildRequires:  python3-mock
%endif
%if %{with docs}
BuildRequires:  python3-sphinx
%endif

%description -n python3-%{pypi_name}
This package provides a special implementation of promises in that it can be used both for 
promise of a value and lazy evaluation.

 
%prep
%autosetup -n %{pypi_name}-%{version}

rm -rf %{pypi_name}.egg-info
 
%build
%py3_build

%if %{with docs}
sphinx-build docs html
rm -rf html/.{doctrees,buildinfo}
%endif
 
%install
%py3_install
 
%if %{with tests}
%check
%pytest -xv --cov=vine --cov-report=xml --no-cov-on-fail
%endif
 
%files -n python3-%{pypi_name}
%license LICENSE
%doc docs/templates/readme.txt README.rst
%if %{with docs}
%doc html
%endif
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

 
%changelog
* Mon Jun 3 2024 Shuo Wang <abushwang@tencent.com> - 5.1.0-2
- enable %check

* Mon Dec 11 2023 Upgrade Robot <upbot@opencloudos.org> - 5.1.0-1
- Upgrade to version 5.1.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.0.0-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.0.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.0.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 12 2023 Wang Guodong <gordonwwang@tencent.com> - 5.0.0-1
- initial build
